Download it now!
Bug 83267 - VIEWING: Dropdowns in Standard toolbar follow scaling with delay
Summary: VIEWING: Dropdowns in Standard toolbar follow scaling with delay
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: possibleRegression
Depends on:
Blocks:
 
Reported: 2014-08-30 08:57 UTC by Bugcruncher
Modified: 2019-12-03 14:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing wrong dropdwon area size (24.31 KB, image/png)
2014-08-30 08:57 UTC, Bugcruncher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-08-30 08:57:29 UTC
Created attachment 105457 [details]
Screenshot showing wrong dropdwon area size

Problem description: 


Steps to reproduce:
(UI scaling should be 100% and Find Toolbar Locked
from last session)
1. Open empty new writer document with 4.4.0.0
2. Menu {Tools ► Options ► View ► Scaling = 200%  ► ok}
   » UI elements size increases, looks horribly ugly
   BTW: is lost limitation to scaling = 130% intended?
3.  Menu {Window ► New}
   » UI elements now look more or less fine, but 
     Bug: 
     Character size dropdown in Standard toolbar still has old
     small size 100%
4. Menu {Tools ► Options ► View ► Scaling = 80%  ► ok}
   » UI elements size decrease
    Bug: Dropdowns will have kept old 200% size
5.  Menu {Window ► New}
    Bug: Everything in UI has become smaller except 
         Character Size dropdown
6. Menu {Tools ► Options ► View ► Scaling = 81%  ► ok}
   » Now also Character size dropdown will have a small size

Already broken in 4.3, seemed more or less ok with 4.2

              
Operating System: Windows 7
Version: 4.3.1.2 release
Last worked in: 4.2.6.2 release
Comment 1 Jacques Guilleron 2014-08-30 15:09:27 UTC
Hi,

Thank you for the report, 

I reproduce with LO 4.3.0.4 and LO 4.4.0.0.alpha0+
Build ID: 37b9ea92ba81d74764a2345a9c75c65bfd272d2b
TinderBox: Win-x86@42, Branch:master, Time: 2014-08-26_09:37:01
& Windows 7 Home Premium.

Set Status to NEW.

Jacques
Comment 2 QA Administrators 2015-09-04 02:49:02 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-11-30 12:44:18 UTC
I repro step 4, but in all the steps the character size dropdown is not exceptional.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)
Comment 4 Robinson Tryon (qubit) 2015-12-09 18:29:03 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:39:44 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:20:05 UTC
Dear Bugcruncher,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug